#> suiryu_minecraft_sleep:player/look/look
#
# 寝顔観察
#
# @within advancement suiryu_minecraft_sleep:look

# 進捗解除
  advancement revoke @s only suiryu_minecraft_sleep:look

# スコアセット
  scoreboard players set #LookSearch suiryu_minecraft_sleep.sleep 0

# 獲得リサーチ経験値量設定
  scoreboard players set #ResearchExp suiryu_minecraft_sleep.sleep 1

# モブ探す
  execute anchored eyes positioned ^ ^ ^ run function suiryu_minecraft_sleep:player/look/search

# しゅうちゅうポーション
  execute if entity @s[tag=suiryu_minecraft_sleep.exp_potion] run function suiryu_minecraft_sleep:item/exp_potion/exp

# ベッド
  execute if entity @s[tag=suiryu_minecraft_sleep.exp_bed] run function suiryu_minecraft_sleep:item/exp_bed/exp

# リサーチ経験値獲得
  scoreboard players operation @s suiryu_minecraft_sleep.ResearchExp += #ResearchExp suiryu_minecraft_sleep.sleep

# リサーチ経験値取得通知
  tellraw @s [{"text": "リサーチ経験値を","color": "green"},{"score":{"name": "#ResearchExp","objective": "suiryu_minecraft_sleep.sleep"},"color": "gold"},{"text": "獲得しました (現在："},{"score":{"name": "@s","objective": "suiryu_minecraft_sleep.ResearchExp"}},{"text": ")"}]

# リサーチランク上昇確認
  execute unless score @s suiryu_minecraft_sleep.ResearchRank matches 1.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 1 if score @s suiryu_minecraft_sleep.ResearchExp matches 16.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 2 if score @s suiryu_minecraft_sleep.ResearchExp matches 81.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 3 if score @s suiryu_minecraft_sleep.ResearchExp matches 256.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 4 if score @s suiryu_minecraft_sleep.ResearchExp matches 625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 5 if score @s suiryu_minecraft_sleep.ResearchExp matches 1296.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 6 if score @s suiryu_minecraft_sleep.ResearchExp matches 2401.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 7 if score @s suiryu_minecraft_sleep.ResearchExp matches 4096.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 8 if score @s suiryu_minecraft_sleep.ResearchExp matches 6561.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 9 if score @s suiryu_minecraft_sleep.ResearchExp matches 10000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 10 if score @s suiryu_minecraft_sleep.ResearchExp matches 14641.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 11 if score @s suiryu_minecraft_sleep.ResearchExp matches 20736.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 12 if score @s suiryu_minecraft_sleep.ResearchExp matches 28561.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 13 if score @s suiryu_minecraft_sleep.ResearchExp matches 38416.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 14 if score @s suiryu_minecraft_sleep.ResearchExp matches 50625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 15 if score @s suiryu_minecraft_sleep.ResearchExp matches 65536.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 16 if score @s suiryu_minecraft_sleep.ResearchExp matches 83521.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 17 if score @s suiryu_minecraft_sleep.ResearchExp matches 104976.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 18 if score @s suiryu_minecraft_sleep.ResearchExp matches 130321.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 19 if score @s suiryu_minecraft_sleep.ResearchExp matches 160000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 20 if score @s suiryu_minecraft_sleep.ResearchExp matches 194481.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 21 if score @s suiryu_minecraft_sleep.ResearchExp matches 234256.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 22 if score @s suiryu_minecraft_sleep.ResearchExp matches 279841.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 23 if score @s suiryu_minecraft_sleep.ResearchExp matches 331776.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 24 if score @s suiryu_minecraft_sleep.ResearchExp matches 390625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 25 if score @s suiryu_minecraft_sleep.ResearchExp matches 456976.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 26 if score @s suiryu_minecraft_sleep.ResearchExp matches 531441.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 27 if score @s suiryu_minecraft_sleep.ResearchExp matches 614656.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 28 if score @s suiryu_minecraft_sleep.ResearchExp matches 707281.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 29 if score @s suiryu_minecraft_sleep.ResearchExp matches 810000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 30 if score @s suiryu_minecraft_sleep.ResearchExp matches 923521.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 31 if score @s suiryu_minecraft_sleep.ResearchExp matches 1048576.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 32 if score @s suiryu_minecraft_sleep.ResearchExp matches 1185921.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 33 if score @s suiryu_minecraft_sleep.ResearchExp matches 1336336.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 34 if score @s suiryu_minecraft_sleep.ResearchExp matches 1500625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 35 if score @s suiryu_minecraft_sleep.ResearchExp matches 1679616.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 36 if score @s suiryu_minecraft_sleep.ResearchExp matches 1874161.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 37 if score @s suiryu_minecraft_sleep.ResearchExp matches 2085136.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 38 if score @s suiryu_minecraft_sleep.ResearchExp matches 2313441.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 39 if score @s suiryu_minecraft_sleep.ResearchExp matches 2560000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 40 if score @s suiryu_minecraft_sleep.ResearchExp matches 2825761.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 41 if score @s suiryu_minecraft_sleep.ResearchExp matches 3111696.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 42 if score @s suiryu_minecraft_sleep.ResearchExp matches 3418801.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 43 if score @s suiryu_minecraft_sleep.ResearchExp matches 3748096.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 44 if score @s suiryu_minecraft_sleep.ResearchExp matches 4100625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 45 if score @s suiryu_minecraft_sleep.ResearchExp matches 4477456.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 46 if score @s suiryu_minecraft_sleep.ResearchExp matches 4879681.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 47 if score @s suiryu_minecraft_sleep.ResearchExp matches 5308416.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 48 if score @s suiryu_minecraft_sleep.ResearchExp matches 5764801.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 49 if score @s suiryu_minecraft_sleep.ResearchExp matches 6250000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 50 if score @s suiryu_minecraft_sleep.ResearchExp matches 6765201.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 51 if score @s suiryu_minecraft_sleep.ResearchExp matches 7311616.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 52 if score @s suiryu_minecraft_sleep.ResearchExp matches 7890481.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 53 if score @s suiryu_minecraft_sleep.ResearchExp matches 8503056.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 54 if score @s suiryu_minecraft_sleep.ResearchExp matches 9150625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 55 if score @s suiryu_minecraft_sleep.ResearchExp matches 9834496.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 56 if score @s suiryu_minecraft_sleep.ResearchExp matches 10556001.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 57 if score @s suiryu_minecraft_sleep.ResearchExp matches 11316496.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 58 if score @s suiryu_minecraft_sleep.ResearchExp matches 12117361.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 59 if score @s suiryu_minecraft_sleep.ResearchExp matches 12960000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 60 if score @s suiryu_minecraft_sleep.ResearchExp matches 13845841.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 61 if score @s suiryu_minecraft_sleep.ResearchExp matches 14776336.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 62 if score @s suiryu_minecraft_sleep.ResearchExp matches 15752961.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 63 if score @s suiryu_minecraft_sleep.ResearchExp matches 16777216.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 64 if score @s suiryu_minecraft_sleep.ResearchExp matches 17850625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 65 if score @s suiryu_minecraft_sleep.ResearchExp matches 18974736.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 66 if score @s suiryu_minecraft_sleep.ResearchExp matches 20151121.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 67 if score @s suiryu_minecraft_sleep.ResearchExp matches 21381376.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 68 if score @s suiryu_minecraft_sleep.ResearchExp matches 22667121.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 69 if score @s suiryu_minecraft_sleep.ResearchExp matches 24010000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 70 if score @s suiryu_minecraft_sleep.ResearchExp matches 25411681.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 71 if score @s suiryu_minecraft_sleep.ResearchExp matches 26873856.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 72 if score @s suiryu_minecraft_sleep.ResearchExp matches 28398241.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 73 if score @s suiryu_minecraft_sleep.ResearchExp matches 29986576.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 74 if score @s suiryu_minecraft_sleep.ResearchExp matches 31640625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 75 if score @s suiryu_minecraft_sleep.ResearchExp matches 33362176.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 76 if score @s suiryu_minecraft_sleep.ResearchExp matches 35153041.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 77 if score @s suiryu_minecraft_sleep.ResearchExp matches 37015056.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 78 if score @s suiryu_minecraft_sleep.ResearchExp matches 38950081.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 79 if score @s suiryu_minecraft_sleep.ResearchExp matches 40960000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 80 if score @s suiryu_minecraft_sleep.ResearchExp matches 43046721.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 81 if score @s suiryu_minecraft_sleep.ResearchExp matches 45212176.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 82 if score @s suiryu_minecraft_sleep.ResearchExp matches 47458321.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 83 if score @s suiryu_minecraft_sleep.ResearchExp matches 49787136.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 84 if score @s suiryu_minecraft_sleep.ResearchExp matches 52200625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 85 if score @s suiryu_minecraft_sleep.ResearchExp matches 54700816.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 86 if score @s suiryu_minecraft_sleep.ResearchExp matches 57289761.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 87 if score @s suiryu_minecraft_sleep.ResearchExp matches 59969536.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 88 if score @s suiryu_minecraft_sleep.ResearchExp matches 62742241.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 89 if score @s suiryu_minecraft_sleep.ResearchExp matches 65610000.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 90 if score @s suiryu_minecraft_sleep.ResearchExp matches 68574961.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 91 if score @s suiryu_minecraft_sleep.ResearchExp matches 71639296.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 92 if score @s suiryu_minecraft_sleep.ResearchExp matches 74805201.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 93 if score @s suiryu_minecraft_sleep.ResearchExp matches 78074896.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 94 if score @s suiryu_minecraft_sleep.ResearchExp matches 81450625.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 95 if score @s suiryu_minecraft_sleep.ResearchExp matches 84934656.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 96 if score @s suiryu_minecraft_sleep.ResearchExp matches 88529281.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 97 if score @s suiryu_minecraft_sleep.ResearchExp matches 92236816.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 98 if score @s suiryu_minecraft_sleep.ResearchExp matches 96059601.. run function suiryu_minecraft_sleep:player/look/rank_up
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 99 if score @s suiryu_minecraft_sleep.ResearchExp matches 100000000.. run function suiryu_minecraft_sleep:player/look/rank_up

# スリープエッグ付与
  loot spawn ~ ~ ~ loot suiryu_minecraft_sleep:sleep_egg

# こううんポーション
  execute if entity @s[tag=suiryu_minecraft_sleep.luck_potion] run function suiryu_minecraft_sleep:item/luck_potion/luck

# ベッド
  execute if entity @s[tag=suiryu_minecraft_sleep.luck_bed] run function suiryu_minecraft_sleep:item/luck_bed/luck

# ベッド&こううんポーション
  execute if entity @s[tag=suiryu_minecraft_sleep.luck_bed,tag=suiryu_minecraft_sleep.luck_potion] run function suiryu_minecraft_sleep:item/luck_bed/luck

# 観察した寝顔の総数増加
  scoreboard players add @s suiryu_minecraft_sleep.LookTotalCount 1
