#> suiryu_minecraft_sleep:player/sleep/good_morning
#
# 朝になったら実行
#
# @within function suiryu_minecraft_sleep:player/sleep/wake_up

# 行動ポイントをリセット
  scoreboard players set #SleepPower suiryu_minecraft_sleep.sleep 1

# 歩いた距離x0.1
  scoreboard players operation @s suiryu_minecraft_sleep.walk1 /= #1000 suiryu_minecraft_sleep.sleep

# 行動ポイントに加算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep += @s suiryu_minecraft_sleep.walk1

# 水中歩いた距離x0.2
  scoreboard players operation @s suiryu_minecraft_sleep.walk2 /= #500 suiryu_minecraft_sleep.sleep

# 行動ポイントに加算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep += @s suiryu_minecraft_sleep.walk2

# 水底歩いた距離x0.2
  scoreboard players operation @s suiryu_minecraft_sleep.walk3 /= #500 suiryu_minecraft_sleep.sleep

# 行動ポイントに加算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep += @s suiryu_minecraft_sleep.walk3

# 走った距離x1
  scoreboard players operation @s suiryu_minecraft_sleep.run /= #100 suiryu_minecraft_sleep.sleep

# 行動ポイントに加算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep += @s suiryu_minecraft_sleep.run

# 泳いだ距離x2
  scoreboard players operation @s suiryu_minecraft_sleep.swim /= #50 suiryu_minecraft_sleep.sleep

# 行動ポイントに加算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep += @s suiryu_minecraft_sleep.swim

# ジャンプx0.5
  scoreboard players operation @s suiryu_minecraft_sleep.jump /= #2 suiryu_minecraft_sleep.sleep

# 行動ポイントに加算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep += @s suiryu_minecraft_sleep.jump

# 受けたダメージx1
  scoreboard players operation @s suiryu_minecraft_sleep.damage /= #10 suiryu_minecraft_sleep.sleep

# 行動ポイントに加算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep += @s suiryu_minecraft_sleep.damage

# 与えたダメージx1
  scoreboard players operation @s suiryu_minecraft_sleep.attack /= #10 suiryu_minecraft_sleep.sleep

# 行動ポイントに加算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep += @s suiryu_minecraft_sleep.attack

# スコアリセット

  ## 歩いた距離
    scoreboard players set @s suiryu_minecraft_sleep.walk1 0

  ## 水中歩いた距離
    scoreboard players set @s suiryu_minecraft_sleep.walk2 0

  ## 水底歩いた距離
    scoreboard players set @s suiryu_minecraft_sleep.walk3 0

  ## 走った距離
    scoreboard players set @s suiryu_minecraft_sleep.run 0

  ## 泳いだ距離
    scoreboard players set @s suiryu_minecraft_sleep.swim 0

  ## ジャンプ回数
    scoreboard players set @s suiryu_minecraft_sleep.jump 0

  ## 受けたダメージ
    scoreboard players set @s suiryu_minecraft_sleep.damage 0

  ## 与えたダメージ
    scoreboard players set @s suiryu_minecraft_sleep.attack 0

# 青緑色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 2 run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep

# 黄色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 12 run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep

# 空色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 14 run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep

# 行動ポイントの最大値は9999
  execute unless score #SleepPower suiryu_minecraft_sleep.sleep matches 0..9999 run scoreboard players set #SleepPower suiryu_minecraft_sleep.sleep 9999

# 時間セット
  scoreboard players set #- suiryu_minecraft_sleep.sleep_time 24000

# 寝た時間計算
  scoreboard players operation #- suiryu_minecraft_sleep.sleep_time -= @s suiryu_minecraft_sleep.sleep_time

# 総睡眠時間加算
  scoreboard players operation @s suiryu_minecraft_sleep.TotalSleepTime += #- suiryu_minecraft_sleep.sleep_time

# ねむけパワー計算
  scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep *= #- suiryu_minecraft_sleep.sleep_time

# ヒツジが近くに居るとねむけパワー増加
  execute as @e[type=sheep,distance=..10] run scoreboard players add #SleepPower suiryu_minecraft_sleep.sleep 10000

# 赤紫色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 13 run scoreboard players add #SleepPower suiryu_minecraft_sleep.sleep 1000000

# 装備をしていたらねむけパワー半減
  execute if data entity @s Inventory[{Slot:100b}] run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep
  execute if data entity @s Inventory[{Slot:101b}] run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep
  execute if data entity @s Inventory[{Slot:102b}] run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep
  execute if data entity @s Inventory[{Slot:103b}] run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep

# 赤色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 0 run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep

# 白色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 9 run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep /= #2 suiryu_minecraft_sleep.sleep

# 紫色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 11 run scoreboard players operation #SleepPower suiryu_minecraft_sleep.sleep *= #2 suiryu_minecraft_sleep.sleep

# ねむけパワー通知
  tellraw @s [{"text": "おはようございます！","color": "aqua"}]
  tellraw @s [{"text": "今日のねむけパワー：","color": "aqua"},{"score":{"name": "#SleepPower","objective": "suiryu_minecraft_sleep.sleep"}}]

# ベッドの説明
  execute if score @s suiryu_minecraft_sleep.BedColor matches 0 run tellraw @s [{"text": "赤色のベッドで寝たことで元気になった！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 1 run tellraw @s [{"text": "青色のベッドで寝たことで気持ちが落ち着いた！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 2 run tellraw @s [{"text": "青緑色のベッドで寝たことで気持ちが落ち着いた！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 3 run tellraw @s [{"text": "灰色のベッドで寝たことでストレスが軽減された！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 4 run tellraw @s [{"text": "黄緑色のベッドで安心して眠った！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 5 run tellraw @s [{"text": "桃色のベッドで寝たことで気持ちが昂った！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 6 run tellraw @s [{"text": "黒色のベッドで寝たことでストレスが軽減された！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 7 run tellraw @s [{"text": "茶色のベッドでリラックスして眠った！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 8 run tellraw @s [{"text": "緑色のベッドで安心して眠った！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 9 run tellraw @s [{"text": "白色のベッドで光が反射して寝つきが悪くなった！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 10 run tellraw @s [{"text": "橙色のベッドで寝たことで食欲が増進された！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 11 run tellraw @s [{"text": "紫色のベッドでぐっすりと眠った！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 12 run tellraw @s [{"text": "黄色のベッドで寝たことで前向きになった！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 13 run tellraw @s [{"text": "赤紫色のベッドでぐっすりと眠った！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 14 run tellraw @s [{"text": "空色のベッドで寝たことで気持ちが落ち着いた！","color": "gold"}]
  execute if score @s suiryu_minecraft_sleep.BedColor matches 15 run tellraw @s [{"text": "薄灰色のベッドで寝たことでストレスが軽減された！","color": "gold"}]

# 寝るモブの最大数を設定
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches ..10000 run scoreboard players set #MobLimit suiryu_minecraft_sleep.sleep 1
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 10001..100000 run scoreboard players set #MobLimit suiryu_minecraft_sleep.sleep 2
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 100001..1000000 run scoreboard players set #MobLimit suiryu_minecraft_sleep.sleep 3
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 1000001..10000000 run scoreboard players set #MobLimit suiryu_minecraft_sleep.sleep 4
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 10000001..50000000 run scoreboard players set #MobLimit suiryu_minecraft_sleep.sleep 5
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 50000001..100000000 run scoreboard players set #MobLimit suiryu_minecraft_sleep.sleep 6
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 100000001.. run scoreboard players set #MobLimit suiryu_minecraft_sleep.sleep 10

# なかよしポーション
  execute if entity @s[tag=suiryu_minecraft_sleep.friendly_potion] run function suiryu_minecraft_sleep:item/friendly_potion/friendly

# 赤色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 0 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 2

# 灰色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 3 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 1

# 桃色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 5 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 1

# 橙色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 10 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 2

# 黄色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 12 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 2

# 寝る範囲を設定
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches ..1000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 2
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 1001..2000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 4
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 2001..3000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 6
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 3001..5000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 8
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 5001..10000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 8
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 10001..20000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 10
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 20001..30000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 12
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 30001..50000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 14
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 50001..100000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 14
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 100001..200000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 16
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 200001..300000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 18
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 300001..500000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 20
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 500001..1000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 20
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 1000001..2000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 22
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 2000001..3000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 24
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 3000001..5000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 26
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 5000001..10000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 26
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 10000001..20000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 28
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 20000001..30000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 30
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 30000001..50000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 32
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 50000001..100000000 run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 32
  execute if score #SleepPower suiryu_minecraft_sleep.sleep matches 100000001.. run scoreboard players set #MobRange suiryu_minecraft_sleep.sleep 40

# かくさんポーション
  execute if entity @s[tag=suiryu_minecraft_sleep.spread_potion] run function suiryu_minecraft_sleep:item/spread_potion/spread

# 青緑色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 2 run scoreboard players add #MobRange suiryu_minecraft_sleep.sleep 2

# 桃色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 5 run scoreboard players remove #MobRange suiryu_minecraft_sleep.sleep 1

# 茶色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 7 run scoreboard players add #MobRange suiryu_minecraft_sleep.sleep 2

# 緑色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 8 run scoreboard players add #MobRange suiryu_minecraft_sleep.sleep 1

# 薄灰色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 15 run scoreboard players add #MobRange suiryu_minecraft_sleep.sleep 1

# リサーチランクによって寝るモブの最大数追加
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 10..19 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 1
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 20..29 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 2
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 30..39 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 3
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 40..49 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 4
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 50..59 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 5
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 60..69 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 6
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 70..79 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 7
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 80..89 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 8
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 90..99 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 9
  execute if score @s suiryu_minecraft_sleep.ResearchRank matches 100 run scoreboard players add #MobLimit suiryu_minecraft_sleep.sleep 10

# 範囲内のモブにタグ付け
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 1 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..1] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 2 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..2] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 3 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..3] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 4 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..4] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 5 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..5] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 6 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..6] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 7 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..7] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 8 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..8] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 9 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..9] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 10 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..10] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 11 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..11] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 12 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..12] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 13 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..13] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 14 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..14] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 15 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..15] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 16 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..16] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 17 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..17] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 18 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..18] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 19 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..19] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 20 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..20] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 21 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..21] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 22 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..22] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 23 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..23] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 24 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..24] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 25 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..25] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 26 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..26] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 27 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..27] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 28 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..28] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 29 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..29] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 30 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..30] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 31 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..31] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 32 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..32] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 33 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..33] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 34 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..34] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 35 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..35] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 36 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..36] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 37 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..37] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 38 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..38] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 39 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..39] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 40 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..40] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 41 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..41] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 42 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..42] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 43 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..43] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 44 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..44] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 45 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..45] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 46 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..46] add suiryu_minecraft_sleep.will_sleep
  execute if score #MobRange suiryu_minecraft_sleep.sleep matches 47 run tag @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=,distance=..47] add suiryu_minecraft_sleep.will_sleep

# ベッドの色を取得
  scoreboard players operation #BedColor suiryu_minecraft_sleep.sleep = @s suiryu_minecraft_sleep.BedColor

# ベッドで寝ている村人は寝かせない
  execute as @e[type=villager,tag=suiryu_minecraft_sleep.will_sleep,distance=..47] if data entity @s SleepingX run tag @s remove suiryu_minecraft_sleep.will_sleep

# モブを寝かせる
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 1 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=1] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 2 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=2] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 3 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=3] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 4 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=4] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 5 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=5] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 6 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=6] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 7 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=7] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 8 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=8] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 9 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=9] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 10 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=10] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 11 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=11] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 12 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=12] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 13 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=13] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 14 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=14] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 15 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=15] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 16 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=16] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 17 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=17] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 18 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=18] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 19 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=19] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 20 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=20] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 21 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=21] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 22 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=22] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 23 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=23] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 24 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=24] at @s run function suiryu_minecraft_sleep:mobs/sleep
  execute if score #MobLimit suiryu_minecraft_sleep.sleep matches 25 as @e[type=#suiryu_minecraft_sleep:sleepable_mob,tag=suiryu_minecraft_sleep.will_sleep,distance=..47,sort=nearest,limit=25] at @s run function suiryu_minecraft_sleep:mobs/sleep

# タグ消去
  tag @e[tag=suiryu_minecraft_sleep.will_sleep,distance=..47] remove suiryu_minecraft_sleep.will_sleep

# 行商人出現
  execute positioned ~ 1000 ~ summon wandering_trader run function suiryu_minecraft_sleep:item/summon_trader

# かいふくポーション
  execute if entity @s[tag=suiryu_minecraft_sleep.healing_potion] run function suiryu_minecraft_sleep:item/healing_potion/heal

# スリープヘルメット
  execute if predicate suiryu_minecraft_sleep:item/sleep_helmet run function suiryu_minecraft_sleep:item/sleep_helmet/wake_up

# スリープチェストプレート
  execute if predicate suiryu_minecraft_sleep:item/sleep_chestplate run function suiryu_minecraft_sleep:item/sleep_chestplate/wake_up

# スリープレギンス
  execute if predicate suiryu_minecraft_sleep:item/sleep_leggings run function suiryu_minecraft_sleep:item/sleep_leggings/wake_up

# スリープブーツ
  execute if predicate suiryu_minecraft_sleep:item/sleep_boots run function suiryu_minecraft_sleep:item/sleep_boots/wake_up

# 青色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 1 run effect give @s instant_health 1 10 true

# 黄緑色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 4 run tag @s add suiryu_minecraft_sleep.luck_bed
  execute if score @s suiryu_minecraft_sleep.BedColor matches 4 run tag @s add suiryu_minecraft_sleep.luck_bed0

# 黒色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 6 run tag @s add suiryu_minecraft_sleep.exp_bed
  execute if score @s suiryu_minecraft_sleep.BedColor matches 6 run tag @s add suiryu_minecraft_sleep.exp_bed0

# 緑色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 8 run effect give @s instant_health 1 10 true

# 白色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 9 run tag @s add suiryu_minecraft_sleep.exp_bed
  execute if score @s suiryu_minecraft_sleep.BedColor matches 9 run tag @s add suiryu_minecraft_sleep.exp_bed0

# 橙色のベッド
  execute if score @s suiryu_minecraft_sleep.BedColor matches 10 run effect give @s hunger 7 99 true

# 寝た回数のカウント
  scoreboard players add @s suiryu_minecraft_sleep.SleepCount 1
