#> suiryu_minecraft_sleep:mobs/sleep
#
# モブを寝かせる
#
# @within function suiryu_minecraft_sleep:player/sleep/good_morning

# タグ付ける
  tag @s add suiryu_minecraft_sleep.me

# 降ろす
  ride @s dismount

# キツネ
  execute if entity @s[type=fox] unless data entity @s {Crouching:1b} run data modify entity @s Sleeping set value 1b

# アイテムディスプレイに乗せる
  execute unless entity @s[type=fox,nbt={Crouching:0b}] summon item_display run function suiryu_minecraft_sleep:mobs/sleep0

# スライム・マグマキューブは無敵化
  execute if entity @s[type=#suiryu_minecraft_sleep:slimes] run data modify entity @s Invulnerable set value 1b

# マグマキューブの近くに寝ているマグマキューブが居れば積み重ねる
  execute if entity @s[type=magma_cube] if entity @e[type=magma_cube,distance=..5,tag=suiryu_minecraft_sleep.sleeping] run function suiryu_minecraft_sleep:mobs/mobs/magma_cube

# シルバーフィッシュの近くに寝られるモブが居ればあたまをかじる
  execute if entity @s[type=silverfish] if entity @e[type=#suiryu_minecraft_sleep:silverfish_rideable,distance=..1.5,nbt={IsBaby:1b}] run function suiryu_minecraft_sleep:mobs/mobs/silverfish

# スライムの近くに寝ているスライムが居れば積み重ねる
  execute if entity @s[type=slime] if entity @e[type=slime,distance=..5,tag=suiryu_minecraft_sleep.sleeping] run function suiryu_minecraft_sleep:mobs/mobs/slime

# オタマジャクシの近くにカエルが居れば頭に乗る
  execute if entity @s[type=tadpole] if entity @e[type=frog,distance=..1.5] run function suiryu_minecraft_sleep:mobs/mobs/frog

# タグ外す
  tag @s remove suiryu_minecraft_sleep.me

# 寝ているモブタグ付ける
  tag @s add suiryu_minecraft_sleep.sleeping
  tag @s add suiryu_minecraft_sleep.sleeping_not_looked
  #declare tag suiryu_minecraft_sleep.sleeping 寝てる
  #declare tag suiryu_minecraft_sleep.sleeping_not_looked 寝顔未観察

# 下を向かせる
  execute if entity @s[type=!phantom] run tp @s ~ ~ ~ ~ 80

# ファントムは水平向きにする
  execute if entity @s[type=phantom] run tp @s ~ ~ ~ ~ 0

# NoAI
  data modify entity @s NoAI set value 1b

# Silent
  data modify entity @s Silent set value 1b

# レア寝顔

  ## コウモリ
    execute if entity @s[type=bat,nbt={BatFlags:1b}] run tp @s ~ ~ ~ ~ 0

  ## ラクダ
    execute if entity @s[type=camel] run function suiryu_minecraft_sleep:mobs/mobs/camel

  ## 空色のベッド以外
    execute unless score #BedColor suiryu_minecraft_sleep.sleep matches 14 if predicate suiryu_minecraft_sleep:chance/1 run function suiryu_minecraft_sleep:mobs/rare

  ## 空色のベッド
    execute if score #BedColor suiryu_minecraft_sleep.sleep matches 14 if predicate suiryu_minecraft_sleep:chance/5 run function suiryu_minecraft_sleep:mobs/rare

# スリープホースアーマー
  execute if entity @s[type=horse] if data entity @s ArmorItem.tag{suiryu_minecraft_sleep_sleep_horse_armor:1} run function suiryu_minecraft_sleep:item/sleep_horse_armor/sleep
