#> suiryu_minecraft_sleep:player/sleep/display
#
# ランクだったり表示
#
# @within function suiryu_minecraft_sleep:player/sleep/tick

# スコア表示
  scoreboard players set @s suiryu_minecraft_sleep.sleep 10

# 寝た時間記録
  execute store result score @s suiryu_minecraft_sleep.sleep_time run time query daytime

# 記録されてないスコアを初期化
  execute unless score @s suiryu_minecraft_sleep.ResearchRank matches 1.. run scoreboard players set @s suiryu_minecraft_sleep.ResearchRank 0
  execute unless score @s suiryu_minecraft_sleep.ResearchExp matches 1.. run scoreboard players set @s suiryu_minecraft_sleep.ResearchExp 0
  execute unless score @s suiryu_minecraft_sleep.LookTotalCount matches 1.. run scoreboard players set @s suiryu_minecraft_sleep.LookTotalCount 0
  execute unless score @s suiryu_minecraft_sleep.LookFaces matches 1.. run scoreboard players set @s suiryu_minecraft_sleep.LookFaces 0
  execute unless score @s suiryu_minecraft_sleep.SleepCount matches 1.. run scoreboard players set @s suiryu_minecraft_sleep.SleepCount 0

# リサーチランク表示
  tellraw @s [{"text": "リサーチランク：","color": "green"},{"score":{"name": "@s","objective": "suiryu_minecraft_sleep.ResearchRank"}},{"text": " リサーチ経験値：","color": "gray"},{"score":{"name": "@s","objective": "suiryu_minecraft_sleep.ResearchExp"},"color": "gray"}]

# 観察数表示
  tellraw @s [{"text": "観察した寝顔の総数：","color": "green"},{"score":{"name": "@s","objective": "suiryu_minecraft_sleep.LookTotalCount"}},{"text": " 観察した寝顔の種類：","color": "gray"},{"score":{"name": "@s","objective": "suiryu_minecraft_sleep.LookFaces"},"color": "gray"},{"text": " / 207","color": "gray"}]

# 総睡眠時間計算

  ## 総睡眠時間取得
    scoreboard players operation #- suiryu_minecraft_sleep.sleep = @s suiryu_minecraft_sleep.TotalSleepTime
    scoreboard players operation #-- suiryu_minecraft_sleep.sleep = @s suiryu_minecraft_sleep.TotalSleepTime

  ## 時間取得
    scoreboard players operation #- suiryu_minecraft_sleep.sleep /= #1000 suiryu_minecraft_sleep.sleep

  ## 時間余り
    scoreboard players operation #-- suiryu_minecraft_sleep.sleep %= #1000 suiryu_minecraft_sleep.sleep
    scoreboard players operation #-- suiryu_minecraft_sleep.sleep /= #100 suiryu_minecraft_sleep.sleep

# 総睡眠時間表示
  tellraw @s [{"text": "総睡眠時間：","color": "yellow"},{"score":{"name": "#-","objective": "suiryu_minecraft_sleep.sleep"}},{"text": "."},{"score":{"name": "#--","objective": "suiryu_minecraft_sleep.sleep"}},{"text": "時間"},{"text": " 寝た回数：","color": "gray"},{"score":{"name": "@s","objective": "suiryu_minecraft_sleep.SleepCount"},"color": "gray"}]

# ポーションタグ削除
  execute if entity @s[tag=suiryu_minecraft_sleep.exp_potion,tag=!suiryu_minecraft_sleep.exp_potion0] run tag @s remove suiryu_minecraft_sleep.exp_potion
  execute if entity @s[tag=suiryu_minecraft_sleep.exp_bed,tag=!suiryu_minecraft_sleep.exp_bed0] run tag @s remove suiryu_minecraft_sleep.exp_bed
  execute if entity @s[tag=suiryu_minecraft_sleep.luck_potion,tag=!suiryu_minecraft_sleep.luck_potion0] run tag @s remove suiryu_minecraft_sleep.luck_potion
  execute if entity @s[tag=suiryu_minecraft_sleep.luck_bed,tag=!suiryu_minecraft_sleep.luck_bed0] run tag @s remove suiryu_minecraft_sleep.luck_bed

# ベッドの色を記録
  execute if block ~ ~ ~ red_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 0
  execute if block ~ ~ ~ blue_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 1
  execute if block ~ ~ ~ cyan_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 2
  execute if block ~ ~ ~ gray_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 3
  execute if block ~ ~ ~ lime_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 4
  execute if block ~ ~ ~ pink_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 5
  execute if block ~ ~ ~ black_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 6
  execute if block ~ ~ ~ brown_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 7
  execute if block ~ ~ ~ green_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 8
  execute if block ~ ~ ~ white_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 9
  execute if block ~ ~ ~ orange_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 10
  execute if block ~ ~ ~ purple_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 11
  execute if block ~ ~ ~ yellow_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 12
  execute if block ~ ~ ~ magenta_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 13
  execute if block ~ ~ ~ light_blue_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 14
  execute if block ~ ~ ~ light_gray_bed run scoreboard players set @s suiryu_minecraft_sleep.BedColor 15
